Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.demos
Class ViewDemo

    java.lang.Object
      org.jgroups.ReceiverAdapter
          org.jgroups.demos.ViewDemo

All Implemented Interfaces:
  MembershipListener, MessageListener, Receiver

    public class ViewDemo

extends ReceiverAdapter

Demos the reception of views using a PullPushAdapter. Just start a number of members, and kill them randomly. The view should always be correct.

Constructor Summary
`ViewDemo()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `start(java.lang.String props)`
`void` | `suspect(Address suspected_mbr)` Called when a member is suspected
`void` | `viewAccepted(View new_view)` Called when a change in membership has occurred.

Methods inherited from class org.jgroups.ReceiverAdapter
`block, getState, receive, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewDemo

    public ViewDemo()

Method Detail

### viewAccepted

    public void viewAccepted(View new_view)

  Description copied from interface: `MembershipListener`
  Called when a change in membership has occurred. No long running actions or sending of messages should be done in this callback. If some long running action needs to be performed, it should be done in a separate thread.

  Note that on reception of the first view (a new member just joined), the channel will not yet be in the connected state. This only happens when `Channel.connect(String)` returns.

  Specified by:
    `viewAccepted` in interface `MembershipListener`
  Overrides:
    `viewAccepted` in class `ReceiverAdapter`

### suspect

    public void suspect(Address suspected_mbr)

  Called when a member is suspected

  Specified by:
    `suspect` in interface `MembershipListener`
  Overrides:
    `suspect` in class `ReceiverAdapter`

### start

    public void start(java.lang.String props)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.